org.eclipse.oomph.setup

## Enum VariableType

- java.lang.Object
- - java.lang.Enum<VariableType>
  - - org.eclipse.oomph.setup.VariableType

- All Implemented Interfaces:
    Serializable, Comparable<VariableType>, Enumerator

      public enum VariableType
      extends Enum<VariableType>
      implements Enumerator

  A representation of the literals of the enumeration 'Variable Type', and utility methods for working with them.
  See Also:
    `SetupPackage.getVariableType()`
  Generated
  Model

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` The 'BOOLEAN' literal object.
    `CONTAINER` The 'CONTAINER' literal object.
    `FILE` The 'FILE' literal object.
    `FLOAT` The 'FLOAT' literal object.
    `FOLDER` The 'FOLDER' literal object.
    `INTEGER` The 'INTEGER' literal object.
    `PASSWORD` The 'PASSWORD' literal object.
    `PATTERN` The 'PATTERN' literal object.
    `PROJECT` The 'PROJECT' literal object.
    `RESOURCE` The 'RESOURCE' literal object.
    `STRING` The 'STRING' literal object.
    `TEXT` The 'TEXT' literal object.
    `URI` The 'URI' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOLEAN_VALUE` The 'BOOLEAN' literal value.
    `static int` | `CONTAINER_VALUE` The 'CONTAINER' literal value.
    `static int` | `FILE_VALUE` The 'FILE' literal value.
    `static int` | `FLOAT_VALUE` The 'FLOAT' literal value.
    `static int` | `FOLDER_VALUE` The 'FOLDER' literal value.
    `static int` | `INTEGER_VALUE` The 'INTEGER' literal value.
    `static int` | `PASSWORD_VALUE` The 'PASSWORD' literal value.
    `static int` | `PATTERN_VALUE` The 'PATTERN' literal value.
    `static int` | `PROJECT_VALUE` The 'PROJECT' literal value.
    `static int` | `RESOURCE_VALUE` The 'RESOURCE' literal value.
    `static int` | `STRING_VALUE` The 'STRING' literal value.
    `static int` | `TEXT_VALUE` The 'TEXT' literal value.
    `static int` | `URI_VALUE` The 'URI' literal value.
    `static List<VariableType>` | `VALUES` A public read-only list of all the 'Variable Type' enumerators.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VariableType` | `get(int value)` Returns the 'Variable Type' literal with the specified integer value.
    `static VariableType` | `get(String literal)` Returns the 'Variable Type' literal with the specified literal value.
    `static VariableType` | `getByName(String name)` Returns the 'Variable Type' literal with the specified name.
    `String` | `getLiteral()`
    `String` | `getName()`
    `int` | `getValue()`
    `String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static VariableType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VariableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final VariableType STRING

      The 'STRING' literal object.
      See Also:
        `STRING_VALUE`
      Generated
      Ordered

    - #### TEXT

          public static final VariableType TEXT

      The 'TEXT' literal object.
      See Also:
        `TEXT_VALUE`
      Generated
      Ordered

    - #### PASSWORD

          public static final VariableType PASSWORD

      The 'PASSWORD' literal object.
      See Also:
        `PASSWORD_VALUE`
      Generated
      Ordered

    - #### PATTERN

          public static final VariableType PATTERN

      The 'PATTERN' literal object.
      See Also:
        `PATTERN_VALUE`
      Generated
      Ordered

    - #### URI

          public static final VariableType URI

      The 'URI' literal object.
      See Also:
        `URI_VALUE`
      Generated
      Ordered

    - #### FILE

          public static final VariableType FILE

      The 'FILE' literal object.
      See Also:
        `FILE_VALUE`
      Generated
      Ordered

    - #### FOLDER

          public static final VariableType FOLDER

      The 'FOLDER' literal object.
      See Also:
        `FOLDER_VALUE`
      Generated
      Ordered

    - #### RESOURCE

          public static final VariableType RESOURCE

      The 'RESOURCE' literal object.
      See Also:
        `RESOURCE_VALUE`
      Generated
      Ordered

    - #### CONTAINER

          public static final VariableType CONTAINER

      The 'CONTAINER' literal object.
      See Also:
        `CONTAINER_VALUE`
      Generated
      Ordered

    - #### PROJECT

          public static final VariableType PROJECT

      The 'PROJECT' literal object.
      See Also:
        `PROJECT_VALUE`
      Generated
      Ordered

    - #### BOOLEAN

          public static final VariableType BOOLEAN

      The 'BOOLEAN' literal object.
      See Also:
        `BOOLEAN_VALUE`
      Generated
      Ordered

    - #### INTEGER

          public static final VariableType INTEGER

      The 'INTEGER' literal object.
      See Also:
        `INTEGER_VALUE`
      Generated
      Ordered

    - #### FLOAT

          public static final VariableType FLOAT

      The 'FLOAT' literal object.
      See Also:
        `FLOAT_VALUE`
      Generated
      Ordered

  - ### Field Detail

    - #### STRING_VALUE

          public static final int STRING_VALUE

      The 'STRING' literal value.

      If the meaning of 'STRING' literal object isn't clear, there really should be more of a description here...

      See Also:
        `STRING`, Constant Field Values
      Generated
      Model
      Ordered

    - #### TEXT_VALUE

          public static final int TEXT_VALUE

      The 'TEXT' literal value.

      If the meaning of 'TEXT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `TEXT`, Constant Field Values
      Generated
      Model
      Ordered

    - #### PASSWORD_VALUE

          public static final int PASSWORD_VALUE

      The 'PASSWORD' literal value.

      If the meaning of 'PASSWORD' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PASSWORD`, Constant Field Values
      Generated
      Model
      Ordered

    - #### PATTERN_VALUE

          public static final int PATTERN_VALUE

      The 'PATTERN' literal value.

      If the meaning of 'PATTERN' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PATTERN`, Constant Field Values
      Generated
      Model
      Ordered

    - #### URI_VALUE

          public static final int URI_VALUE

      The 'URI' literal value.

      If the meaning of 'URI' literal object isn't clear, there really should be more of a description here...

      See Also:
        `URI`, Constant Field Values
      Generated
      Model
      Ordered

    - #### FILE_VALUE

          public static final int FILE_VALUE

      The 'FILE' literal value.

      If the meaning of 'FILE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FILE`, Constant Field Values
      Generated
      Model
      Ordered

    - #### FOLDER_VALUE

          public static final int FOLDER_VALUE

      The 'FOLDER' literal value.

      If the meaning of 'FOLDER' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FOLDER`, Constant Field Values
      Generated
      Model
      Ordered

    - #### RESOURCE_VALUE

          public static final int RESOURCE_VALUE

      The 'RESOURCE' literal value.

      If the meaning of 'RESOURCE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `RESOURCE`, Constant Field Values
      Generated
      Model
      Ordered

    - #### CONTAINER_VALUE

          public static final int CONTAINER_VALUE

      The 'CONTAINER' literal value.

      If the meaning of 'CONTAINER' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CONTAINER`, Constant Field Values
      Generated
      Model
      Ordered

    - #### PROJECT_VALUE

          public static final int PROJECT_VALUE

      The 'PROJECT' literal value.

      If the meaning of 'PROJECT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PROJECT`, Constant Field Values
      Generated
      Model
      Ordered

    - #### BOOLEAN_VALUE

          public static final int BOOLEAN_VALUE

      The 'BOOLEAN' literal value.

      If the meaning of 'BOOLEAN' literal object isn't clear, there really should be more of a description here...

      See Also:
        `BOOLEAN`, Constant Field Values
      Generated
      Model
      Ordered

    - #### INTEGER_VALUE

          public static final int INTEGER_VALUE

      The 'INTEGER' literal value.

      If the meaning of 'INTEGER' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INTEGER`, Constant Field Values
      Generated
      Model
      Ordered

    - #### FLOAT_VALUE

          public static final int FLOAT_VALUE

      The 'FLOAT' literal value.

      If the meaning of 'FLOAT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FLOAT`, Constant Field Values
      Generated
      Model
      Ordered

    - #### VALUES

          public static final List<VariableType> VALUES

      A public read-only list of all the 'Variable Type' enumerators.
      Generated

  - ### Method Detail

    - #### values

          public static VariableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VariableType c : VariableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VariableType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static VariableType get(String literal)

      Returns the 'Variable Type' literal with the specified literal value.
      Generated

    - #### getByName

          public static VariableType getByName(String name)

      Returns the 'Variable Type' literal with the specified name.
      Generated

    - #### get

          public static VariableType get(int value)

      Returns the 'Variable Type' literal with the specified integer value.
      Generated

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `Enumerator`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Enumerator`
      Generated

    - #### getLiteral

          public String getLiteral()

      Specified by:
        `getLiteral` in interface `Enumerator`
      Generated

    - #### toString

          public String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `Enum<VariableType>`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html